from setuptools import setup, find_packages

with open("README.md", "r") as fh:
    long_description = fh.read()


requirements = [
    "scikit-image>=0.18.3",
    "numpy>=1.21.0",
    "matplotlib>=3.4.3",
    "scipy>=1.7.1",
]

setup(
    name="image_processor_package",  # Nome do pacote
    version="0.0.1",  # Versão do pacote
    author="João Pedro Fialho Lopes",  # Seu nome
    author_email="jotabelde@gmail.com",  # Seu email
    description="Pacote de processamento de imagens com funcionalidades avançadas.",  # Breve descrição
    long_description=long_description,  # Descrição longa do pacote
    long_description_content_type="text/markdown",  # Tipo do conteúdo da descrição longa (Markdown)
    url="https://github.com/Jotabelde",  # URL do repositório
    packages=find_packages(),  # Detecta automaticamente pacotes no diretório
    install_requires=requirements,  # Dependências do pacote
    python_requires=">=3.8",  # Versão mínima do Python
    classifiers=[  # Informações adicionais para repositórios, como o PyPI
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    include_package_data=True,  # Inclui arquivos estáticos no pacote, se necessário
)